package org.tinygroup.databasebuinstaller.impl;

import java.sql.Connection;
import java.sql.SQLException;
import java.util.ArrayList;
import java.util.List;

import org.tinygroup.database.procedure.ProcedureProcessor;

/**
 * 
 * 功能说明:存储过程安装处理器 
 * <p> 系统版本: v1.0<br>
 * 开发人员: renhui <br>
 * 开发时间: 2013-8-15 <br>
 * 功能描述: 写明作用，调用方式，使用场景，以及特殊情况<br>
 */
public class ProcedureInstallProcessor extends AbstractInstallProcessor {

	private ProcedureProcessor procedureProcessor;
	
	public ProcedureProcessor getProcedureProcessor() {
		return procedureProcessor;
	}


	public void setProcedureProcessor(ProcedureProcessor procedureProcessor) {
		this.procedureProcessor = procedureProcessor;
	}


	@Override
	protected List<String> getDealSqls(Connection con) throws SQLException {
		List<String> sqls=new ArrayList<String>();
		sqls.addAll(procedureProcessor.getCreateSql(language));
		return sqls;
	}

}
